Bug 842576 - bluecove - compile with -target 1.5 or greater
bluecove - compile with -target 1.5 or greater
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluecove (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842394
  Show dependency treegraph
 
Reported: 2012-07-24 05:18 EDT by Mikolaj Izdebski
Modified: 2013-08-14 10:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: bluecove-2.1.1-0.7.20101024snap63
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 10:05:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-07-24 05:18:16 EDT
Package bluecove appears to be using Java generics,
but generates class files in format older than 49.0,
which corresponds to J2SE 5.0, in which generics were introduced.

Please update this package to generate classes in format 49.0 or
above. This corresponds to -target 1.5 option of javac (or ecj).

For more information, see bug #842394
Comment 1 Fedora End Of Life 2013-04-03 14:14:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora Admin XMLRPC Client 2013-08-13 11:57:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Mat Booth 2013-08-14 10:05:16 EDT
Should be fixed in bluecove-2.1.1-0.7.20101024snap63 now built for rawhide:

http://koji.fedoraproject.org/koji/buildinfo?buildID=456624

Note You need to log in before you can comment on or make changes to this bug.